﻿using Syncfusion.Blazor;
using Syncfusion.Blazor.Data;

namespace SfGridTest.Data
{
	public class CustomMenuCategoryAdapterTest : DataAdaptor
	{
		public CustomMenuCategoryAdapterTest()
		{			
		}

		List<TestDto> data = new List<TestDto>()
	    {
				new TestDto(){ Id=1, Name="Category 1", MenuSetId=22, DisplayOrder=1 },
				new TestDto(){ Id=2, Name="Category 2", MenuSetId=22, DisplayOrder=2 },
				new TestDto(){ Id=3, Name="Category 3", MenuSetId=22, DisplayOrder=3 },
				new TestDto(){ Id=4, Name="Category 4", MenuSetId=22, DisplayOrder=4 },
				new TestDto(){ Id=5, Name="Category 5", MenuSetId=22, DisplayOrder=5 },

	    };
		//public List<Device> Orders { get; set; } // = Order.GetAllRecords();
		public override async Task<Object> ReadAsync(DataManagerRequest dm, string? key = null)
		{


			IEnumerable<TestDto> DataSource = data;
			object ret = dm.RequiresCounts ? new DataResult() { Result = data, Count = data.Count } : (object)data;
			return ret;

		}

		public override async Task<Object?> InsertAsync(DataManager dm, object value, string key)
		{
			data.Insert(0, value as TestDto);
			return value;			
		}
		public override async Task<object> RemoveAsync(DataManager dataManager, object value, string keyField, string key)
		{
			data.Remove(data.Where(or => or.Id == int.Parse(value.ToString())).FirstOrDefault());
			return value;			
		}
		public override async Task<object> UpdateAsync(DataManager dataManager, object value, string keyField, string key)
		{
			var data1 = data.Where(or => or.Id == (value as TestDto).Id).FirstOrDefault();
			if (data1 != null)
			{
				data1.Id = (value as TestDto).Id;
				data1.MenuSetId = (value as TestDto).MenuSetId;
				data1.DisplayOrder = (value as TestDto).DisplayOrder;
				data1.Name = (value as TestDto).Name;
			}
			return value;			
		}
	}
}
