using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Localization;
using SfGridTest.Data;
using Syncfusion.Blazor;
using Syncfusion.Licensing;
using System.Globalization;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddRazorPages();
builder.Services.AddServerSideBlazor();
builder.Services.AddSingleton<WeatherForecastService>();
builder.Services.AddScoped<CustomMenuCategoryAdapterTest>();
builder.Services.AddSyncfusionBlazor();
SyncfusionLicenseProvider.RegisterLicense("Mgo+DSMBaFt/QHRqVVhjVFpFaV1FQmFJfFBmQmladlRxfEU3HVdTRHRcQlxiQX5WdkRjX3pecnE=;Mgo+DSMBPh8sVXJ0S0J+XE9HflRDQmFOYVF2R2BJeFRzfV9HaEwgOX1dQl9gSX9SfkVmWX5ednFUQ2U=;ORg4AjUWIQA/Gnt2VVhkQlFadVdJXHxLeUx0RWFab1l6d1xMYVRBNQtUQF1hSn5Sd01jXH9fcHJQRGlZ;OTYwMjIyQDMyMzAyZTM0MmUzMGxiYzdyOXd4SEZrUVB5N3ArS3lsVkVUYTQvUDVEQ3YyaStWQ0VOdC96ME09;OTYwMjIzQDMyMzAyZTM0MmUzMEVnOVJFcjR0N0Fva1hQSTNsUU1jdExNNzJXL2dvSFA4dFFydFNUT2Z3cjA9;NRAiBiAaIQQuGjN/V0Z+WE9EaFxKVmJWfFRpR2NbfE53flZPal1ZVAciSV9jS31Td0RrWXpecXRTQ2hdVA==;OTYwMjI1QDMyMzAyZTM0MmUzMGYrQTNYdm5Ramh5MUNvNktabHRLYnVBNFhnL09zWDI0YXJIQ3JKY2hXbXc9;OTYwMjI2QDMyMzAyZTM0MmUzMG80dEVwK05yTGlnODVBeGRIbmg2NnQ5SzIrVHE1V1g3ZjQ1YXFyWDhmRnM9;Mgo+DSMBMAY9C3t2VVhkQlFadVdJXHxLeUx0RWFab1l6d1xMYVRBNQtUQF1hSn5Sd01jXH9fcHJTRWVZ;OTYwMjI4QDMyMzAyZTM0MmUzMFlSMllHemN0Mk9Yd05ITmYvaVBxZzVwc3VDYXRKRk12ZDdmWnVsZmFkOEU9;OTYwMjI5QDMyMzAyZTM0MmUzMEc5L0FxZXdpMVRJMkFzTXFwRnBBMkxmclE5YVI5ZzBxZnBFaWFxdEIwWlU9;OTYwMjMwQDMyMzAyZTM0MmUzMGYrQTNYdm5Ramh5MUNvNktabHRLYnVBNFhnL09zWDI0YXJIQ3JKY2hXbXc9");


var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
	app.UseExceptionHandler("/Error");
}


app.UseStaticFiles();

app.UseRouting();

app.MapBlazorHub();
app.MapFallbackToPage("/_Host");

app.Run();
